# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::PolygonOffset Class Reference

RenderState wrapping the OpenGL function glPolygonOffset(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPolygonOffset.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::PolygonOffset:

List of all members.

## Public Member Functions

| PolygonOffset ()
virtual ERenderState | type () const
| PolygonOffset (float factor, float units)
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (float factor, float units)
void | setFactor (float factor)
void | setUnits (float units)
float | factor () const
float | units () const
virtual ref< RenderState > | clone () const

## Protected Attributes

float | mFactor
float | mUnits

## Detailed Description

RenderState wrapping the OpenGL function glPolygonOffset(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPolygonOffset.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_POLYGON_OFFSET_FILL, vl::EN_POLYGON_OFFSET_LINE, vl::EN_POLYGON_OFFSET_POINT

Definition at line 963 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::PolygonOffset::PolygonOffset | ( | ) | `[inline]`

Definition at line 968 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

vl::PolygonOffset::PolygonOffset | ( | float | factor,
|  | float | units
| ) |  | `[inline]`

Definition at line 975 of file Shader.hpp.

## Member Function Documentation

virtual ERenderState vl::PolygonOffset::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 973 of file Shader.hpp.

References vl::RS_PolygonOffset.

void PolygonOffset::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 553 of file Shader.cpp.

References mFactor, mUnits, and VL_CHECK_OGL.

void vl::PolygonOffset::set | ( | float | factor,
|  | float | units
| ) |  | `[inline]`

Definition at line 979 of file Shader.hpp.

void vl::PolygonOffset::setFactor | ( | float | factor ) | `[inline]`

Definition at line 981 of file Shader.hpp.

void vl::PolygonOffset::setUnits | ( | float | units ) | `[inline]`

Definition at line 983 of file Shader.hpp.

float vl::PolygonOffset::factor | ( | ) | const`[inline]`

Definition at line 985 of file Shader.hpp.

float vl::PolygonOffset::units | ( | ) | const`[inline]`

Definition at line 987 of file Shader.hpp.

virtual ref<RenderState> vl::PolygonOffset::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 989 of file Shader.hpp.

## Member Data Documentation

float vl::PolygonOffset::mFactor`[protected]`

Definition at line 997 of file Shader.hpp.

Referenced by apply().

float vl::PolygonOffset::mUnits`[protected]`

Definition at line 998 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:52.
Permission is granted to use this page to write and publish articles regarding Visualization Library.